Skip to content

MSP Device ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
batchAdoptForMspPOSTbatch adopt device in msp view
adoptOneForMspPOSTStart adopt device For Msp
getMspObjectHealthIncidentGETMSP - Get device/client health incidents
getMspDeviceIncidentCountsPOSTGet MSP device incident counts
getMspKnownDeviceListGETGet MSP known device list
getTags_3GETGet tag list
getMspUnknownDeviceListGETGet MSP unknown device list

batchAdoptForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/devices/batch-adopt

batch adopt device in msp view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesOmada ID
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchAdoptDeviceRequest

FieldTypeRequiredDescription
usernamestringnoAdopt device username. It should contain 1 to 64 characters.
passwordstringnoAdopt device password. It should contain 1 to 64 characters.
macsarray<string>noMAC list of devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "batchAdoptForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

batch adopt device in msp view.This interface does not return the actual adoptive result,you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access

adoptOneForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/{deviceMac}/start-adopt

Start adopt device For Msp

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesOmada ID
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AdoptDeviceRequest

FieldTypeRequiredDescription
usernamestringnoAdopt device username. It should contain 1 to 64 characters.
passwordstringnoAdopt device password. It should contain 1 to 64 characters.
json
// omada_call_operation
{
  "operationId": "adoptOneForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Start adopt device in msp view.This interface does not return the actual adoptive result, you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access

getMspObjectHealthIncident ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/health/incident/{mac}

MSP - Get device/client health incidents

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID (same as omadacId)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyes
filters.startTimequeryintegeryesStart time in milliseconds
filters.endTimequeryintegeryesEnd time in milliseconds
json
// omada_call_operation
{
  "operationId": "getMspObjectHealthIncident",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "mac": "<mac>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

MSP view: Get incident list for device/client health detail page. customerId is omadacId.
The interface requires one of the permissions:
Incidents Page View Only
MSP Device Manager View Only

getMspDeviceIncidentCounts ​

POST /openapi/v1/msp/{mspId}/devices/incidents

Get MSP device incident counts

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspDeviceIncidentCountRequestOpenApiVO

FieldTypeRequiredDescription
deviceListarray<MspDeviceIncidentCountItemOpenApiVO>yesDevices grouped by their owning customer.
json
// omada_call_operation
{
  "operationId": "getMspDeviceIncidentCounts",
  "body": "{...}"
}
Details, permissions and error codes

Get incident counts for customerId and device MAC pairs accessible in MSP view.
The interface requires one of the permissions:
MSP Device Manager View Only
Incidents Page View Only

getMspKnownDeviceList ​

GET /openapi/v1/msp/{mspId}/devices/known-devices

Get MSP known device list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
searchSnsquerystringnoFuzzy query parameters, support field sn
filters.tagquerystringnoFilter query parameters, support field tag ID
filters.deviceSeriesTypequerystringnoFilter query parameters, support field Device series type. 0: basic; 1: pro.
json
// omada_call_operation
{
  "operationId": "getMspKnownDeviceList"
}
Details, permissions and error codes

Get MSP known device list
The interface requires one of the permissions:
MSP Device Manager View Only

getTags_3 ​

GET /openapi/v1/msp/{mspId}/devices/tag

Get tag list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getTags_3"
}
Details, permissions and error codes

Get tag list.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only
Site Map Manager View Only

getMspUnknownDeviceList ​

GET /openapi/v1/msp/{mspId}/devices/unknown-devices

Get MSP unknown device list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
filters.deviceSeriesTypequerystringnoFilter query parameters, support field Device series type. 0: basic; 1: pro.
json
// omada_call_operation
{
  "operationId": "getMspUnknownDeviceList"
}
Details, permissions and error codes

Get MSP unknown device list
The interface requires one of the permissions:
MSP Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.